Skip to main content

Get application by ID

GET
/applications/{id}

Contract

Parameter
Value
Sectionapplications
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
idpathyesintegerApplication ID

Responses

4 responses

Status
Description
Type
200
Successful responseobject
400
Invalid application IDobject
401
Unauthorizedobject
404
Application not foundobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {
        "allowPerSessionSpeed": true,
        "baseBps": 0,
        "basePps": 0,
        "clientIp": "<string>",
        "createdAt": "<string>",
        "defaultSpeedMode": "<string>",
        "defaultTimeout": 0,
        "defaultUsers": 0,
        "description": "<string>",
        "followTimestamps": true,
        "id": 0,
        "issuer": {
          "agreementAccepted": true,
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "email": "<string>",
          "group": {
            "createdAt": "<string>",
            "deletedAt": "<string>",
            "id": 0,
            "issuer": {},
            "issuerID": 0,
            "name": "<string>",
            "permissions": [
              {}
            ],
            "updatedAt": "<string>",
            "users": [
              {}
            ]
          },
          "groupID": 0,
          "id": 0,
          "isActive": true,
          "isRequiredToSetPassword": true,
          "lastLogin": "<string>",
          "notificationsReadAt": "<string>",
          "passwordLength": 0,
          "realName": "<string>",
          "updatedAt": "<string>"
        },
        "issuerId": 0,
        "lockParameters": true,
        "loop": true,
        "mode": "<string>",
        "name": "<string>",
        "parameters": [
          {
            "allowedValues": [
              "<string>"
            ],
            "applicationId": 0,
            "defaultValue": "<string>",
            "description": "<string>",
            "extractLength": 0,
            "extractOffset": 0,
            "extractSessionIdx": 0,
            "extractStepIdx": 0,
            "id": 0,
            "max": "<string>",
            "min": "<string>",
            "name": "<string>",
            "prefix": "<string>",
            "side": "<string>",
            "source": "<string>",
            "start": "<string>",
            "step": "<string>",
            "stepsMappings": [
              {
                "length": 0,
                "offset": 0,
                "sessionIdx": 0,
                "side": "<string>",
                "stepIdx": 0
              }
            ],
            "type": "<string>"
          }
        ],
        "pcapFileId": 0,
        "pcapMd5": "<string>",
        "sessions": [
          {
            "applicationId": 0,
            "bytesC2S": 0,
            "bytesS2C": 0,
            "dstIp": "<string>",
            "dstPort": 0,
            "exchangeCount": 0,
            "id": 0,
            "name": "<string>",
            "protocol": "<string>",
            "sessionIndex": 0,
            "srcIp": "<string>",
            "srcPort": 0
          }
        ],
        "tags": "<string>",
        "timingGapThresholdMs": 0,
        "trimmedPcapFileId": 0,
        "updatedAt": "<string>"
      }
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }